List numbers attached to a campaign
curl --request GET \
--url https://api.pineyard.ai/campaigns/{id}/phone-numbers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"phoneNumberId": "<string>",
"e164": "<string>",
"inFlightCalls": 123,
"available": true,
"unavailableReason": "released"
}
]
}Phone numbers
List numbers attached to a campaign
GET
/
campaigns
/
{id}
/
phone-numbers
List numbers attached to a campaign
curl --request GET \
--url https://api.pineyard.ai/campaigns/{id}/phone-numbers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"phoneNumberId": "<string>",
"e164": "<string>",
"inFlightCalls": 123,
"available": true,
"unavailableReason": "released"
}
]
}
